Schema "fpml-eqd-5-3.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/reporting

Version:

  $Revision: 8563 $

Defined Components:

  4 global elements, 60 local elements, 14 complexTypes, 1 element group

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Irina-Local\SVN-FpML\trunk\xml\reporting\fpml-eqd-5-3.xsd; see XML source

Includes Schema:

  fpml-eq-shared-5-3.xsd [src]

Included in Schemas (2):

  fpml-main-5-3.xsd [src], fpml-variance-swaps-5-3.xsd [src]

All Element Summary
automaticExercise (defined in EquityExerciseValuationSettlement complexType) | If true then each option not previously exercised will be deemed to be exercised at the expiration time on the expiration date without service of notice unless the buyer notifies the seller that it no longer wishes this to occur.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin EquityExerciseValuationSettlement complexType; see XML source
bermudaExerciseDates (in equityBermudaExercise) | List of Exercise Dates for a Bermuda option.
Type: | DateList
Content: | complex, 1 element
Defined: | locally witnin EquityBermudaExercise complexType; see XML source
brokerageFee |
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin BrokerEquityOption complexType; see XML source
brokerEquityOption | A component describing a Broker View of an Equity Option.
Type: | BrokerEquityOption
Content: | complex, 1 attribute, 22 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
brokerNotes |
Type: | xsd:string
Content: | simple
Defined: | locally witnin BrokerEquityOption complexType; see XML source
deltaCrossed |
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin BrokerEquityOption complexType; see XML source
dividendConditions (defined in EquityDerivativeLongFormBase complexType) |
Type: | DividendConditions
Content: | complex, 20 elements
Defined: | locally witnin EquityDerivativeLongFormBase complexType; see XML source
equityAmericanExercise | The parameters for defining the exercise period for an American style equity option together with the rules governing the quantity of the underlying that can be exercised on any given exercise date.
Type: | EquityAmericanExercise
Content: | complex, 1 attribute, 9 elements
Defined: | locally witnin EquityExerciseValuationSettlement complexType; see XML source
equityBermudaExercise | The parameters for defining the exercise period for an Bermuda style equity option together with the rules governing the quantity of the underlying that can be exercised on any given exercise date.
Type: | EquityBermudaExercise
Content: | complex, 1 attribute, 10 elements
Defined: | locally witnin EquityExerciseValuationSettlement complexType; see XML source
equityEffectiveDate | Effective date for a forward starting option.
Type: | xsd:date
Content: | simple
Defined: | locally witnin EquityDerivativeBase complexType; see XML source
equityEuropeanExercise | The parameters for defining the expiration date and time for a European style equity option.
Type: | EquityEuropeanExercise
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin EquityExerciseValuationSettlement complexType; see XML source
equityExercise (defined in EquityDerivativeBase complexType) | The parameters for defining how the equity option can be exercised, how it is valued and how it is settled.
Type: | EquityExerciseValuationSettlement
Content: | complex, 14 elements
Defined: | locally witnin EquityDerivativeBase complexType; see XML source
equityExpirationTime | The specific time of day at which the equity option expires.
Type: | BusinessCenterTime
Content: | complex, 2 elements
Defined: | locally witnin EquityExpiration.model group; see XML source
equityExpirationTimeType | The time of day at which the equity option expires, for example the official closing time of the exchange.
Type: | TimeTypeEnum
Content: | simple
Defined: | locally witnin EquityExpiration.model group; see XML source
equityForward | A component describing an Equity Forward product.
Type: | EquityForward
Content: | complex, 1 attribute, 19 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
equityMultipleExercise (in equityAmericanExercise) | The presence of this element indicates that the option may be exercised on different days.
Type: | EquityMultipleExercise
Content: | complex, 3 elements
Defined: | locally witnin EquityAmericanExercise complexType; see XML source
equityMultipleExercise (in equityBermudaExercise) | The presence of this element indicates that the option may be exercised on different days.
Type: | EquityMultipleExercise
Content: | complex, 3 elements
Defined: | locally witnin EquityBermudaExercise complexType; see XML source
equityOption | A component describing an Equity Option product.
Type: | EquityOption
Content: | complex, 1 attribute, 23 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
equityOptionTransactionSupplement | A component describing an Equity Option Transaction Supplement.
Type: | EquityOptionTransactionSupplement
Content: | complex, 1 attribute, 28 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
equityPremium (defined in EquityDerivativeShortFormBase complexType) | The equity option premium payable by the buyer to the seller.
Type: | EquityPremium
Content: | complex, 1 attribute, 10 elements
Defined: | locally witnin EquityDerivativeShortFormBase complexType; see XML source
equityPremium (in equityOption) | The equity option premium payable by the buyer to the seller.
Type: | EquityPremium
Content: | complex, 1 attribute, 10 elements
Defined: | locally witnin EquityOption complexType; see XML source
equityValuation | The parameters for defining when valuation of the underlying takes place.
Type: | EquityValuation
Content: | complex, 1 attribute, 9 elements
Defined: | locally witnin EquityExerciseValuationSettlement complexType; see XML source
exchangeLookAlike (in equityOptionTransactionSupplement) | For a share option transaction, a flag used to indicate whether the transaction is to be treated as an 'exchange look-alike'.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin EquityOptionTransactionSupplement complexType; see XML source
exchangeTradedContractNearest (in equityOptionTransactionSupplement) | For an index option transaction, a flag used in conjuction with Futures Price Valuation (ISDA defined term) to indicate whether the Nearest Index Contract provision is applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin EquityOptionTransactionSupplement complexType; see XML source
expirationDate (in equityEuropeanExercise) | The last day within an exercise period for an American style option.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin EquityEuropeanExercise complexType; see XML source
expirationTimeDetermination | Expiration time determination method.
Type: | DeterminationMethod
Content: | simple, 2 attributes
Defined: | locally witnin EquityExpiration.model group; see XML source
extraordinaryEvents (defined in EquityDerivativeLongFormBase complexType) | Where the underlying is shares, specifies events affecting the issuer of those shares that may require the terms of the transaction to be adjusted.
Type: | ExtraordinaryEvents
Content: | complex, 13 elements
Defined: | locally witnin EquityDerivativeLongFormBase complexType; see XML source
extraordinaryEvents (in equityOptionTransactionSupplement) | A component to contain elements that represent an extraordinary event.
Type: | ExtraordinaryEvents
Content: | complex, 13 elements
Defined: | locally witnin EquityOptionTransactionSupplement complexType; see XML source
forwardPrice | The forward price per share, index or basket.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin EquityForward complexType; see XML source
integralMultipleExercise | When multiple exercise is applicable and this element is present it specifies that the number of options that can be exercised on a given exercise date must either be equal to the value of this element or be an integral multiple of it.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin EquityMultipleExercise complexType; see XML source
latestExerciseTimeType (in equityAmericanExercise) | The latest time of day at which the equity option can be exercised, for example the official closing time of the exchange.
Type: | TimeTypeEnum
Content: | simple
Defined: | locally witnin EquityAmericanExercise complexType; see XML source
latestExerciseTimeType (in equityBermudaExercise) | The latest time of day at which the equity option can be exercised, for example the official closing time of the exchange.
Type: | TimeTypeEnum
Content: | simple
Defined: | locally witnin EquityBermudaExercise complexType; see XML source
localJurisdiction (in equityOptionTransactionSupplement) | Local Jurisdiction is a term used in the AEJ Master Confirmation, which is used to determine local taxes, which shall mean taxes, duties, and similar charges imposed by the taxing authority of the Local Jurisdiction If this element is not present Local Jurisdiction is Not Applicable.
Type: | CountryCode
Content: | simple, 1 attribute
Defined: | locally witnin EquityOptionTransactionSupplement complexType; see XML source
makeWholeProvisions | Provisions covering early exercise of option.
Type: | MakeWholeProvisions
Content: | complex, 2 elements
Defined: | locally witnin EquityExerciseValuationSettlement complexType; see XML source
maximumNumberOfOptions (defined in EquityMultipleExercise complexType) | When multiple exercise is applicable this element specifies the maximum number of options that can be exercised on a given exercise date.
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin EquityMultipleExercise complexType; see XML source
methodOfAdjustment (defined in EquityDerivativeLongFormBase complexType) | Defines how adjustments will be made to the contract should one or more of the extraordinary events occur.
Type: | MethodOfAdjustmentEnum
Content: | simple
Defined: | locally witnin EquityDerivativeLongFormBase complexType; see XML source
methodOfAdjustment (in equityOptionTransactionSupplement) |
Type: | MethodOfAdjustmentEnum
Content: | simple
Defined: | locally witnin EquityOptionTransactionSupplement complexType; see XML source
minimumNumberOfOptions (defined in EquityMultipleExercise complexType) | When multiple exercise is applicable this element specifies the minimum number of options that can be exercised on a given exercise date.
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin EquityMultipleExercise complexType; see XML source
multiplier (in equityOptionTransactionSupplement) | Specifies the contract multiplier that can be associated with an index option.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin EquityOptionTransactionSupplement complexType; see XML source
notional (defined in EquityDerivativeBase complexType) | The notional amount.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin EquityDerivativeBase complexType; see XML source
numberOfOptions (defined in EquityDerivativeShortFormBase complexType) | The number of options comprised in the option transaction.
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin EquityDerivativeShortFormBase complexType; see XML source
numberOfOptions (in equityOption) | The number of options comprised in the option transaction.
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin EquityOption complexType; see XML source
optionEntitlement (in equityOption) | The number of shares per option comprised in the option transaction.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin EquityOption complexType; see XML source
optionEntitlement (in equityOptionTransactionSupplement) | The number of shares per option comprised in the option transaction supplement.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin EquityOptionTransactionSupplement complexType; see XML source
optionType (defined in EquityDerivativeBase complexType) | The type of option transaction.
Type: | EquityOptionTypeEnum
Content: | simple
Defined: | locally witnin EquityDerivativeBase complexType; see XML source
prePayment (defined in EquityExerciseValuationSettlement complexType) | Prepayment features for Forward.
Type: | PrePayment
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin EquityExerciseValuationSettlement complexType; see XML source
prePayment (in prePayment defined in EquityExerciseValuationSettlement complexType) |
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin PrePayment complexType; see XML source
prePaymentAmount |
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin PrePayment complexType; see XML source
prePaymentDate |
Type: | AdjustableDate
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin PrePayment complexType; see XML source
settlementAmount (defined in EquityOptionTermination complexType) |
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin EquityOptionTermination complexType; see XML source
settlementAmountPaymentDate |
Type: | AdjustableDate
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin EquityOptionTermination complexType; see XML source
settlementCurrency (defined in EquityExerciseValuationSettlement complexType) | The currency in which a cash settlement for non-deliverable forward and non-deliverable options.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin EquityExerciseValuationSettlement complexType; see XML source
settlementDate (defined in EquityExerciseValuationSettlement complexType) | Date on which settlement of option premiums will occur.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin EquityExerciseValuationSettlement complexType; see XML source
settlementMethodElectingPartyReference |
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin EquityExerciseValuationSettlement complexType; see XML source
settlementMethodElectionDate |
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin EquityExerciseValuationSettlement complexType; see XML source
settlementPriceDefaultElection |
Type: | SettlementPriceDefaultElection
Content: | simple, 1 attribute
Defined: | locally witnin EquityExerciseValuationSettlement complexType; see XML source
settlementPriceSource |
Type: | SettlementPriceSource
Content: | simple, 1 attribute
Defined: | locally witnin EquityExerciseValuationSettlement complexType; see XML source
settlementType (defined in EquityExerciseValuationSettlement complexType) | How the option will be settled.
Type: | SettlementTypeEnum
Content: | simple
Defined: | locally witnin EquityExerciseValuationSettlement complexType; see XML source
spotPrice (defined in EquityDerivativeShortFormBase complexType) | The price per share, index or basket observed on the trade or effective date.
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin EquityDerivativeShortFormBase complexType; see XML source
spotPrice (in equityOption) | The price per share, index or basket observed on the trade or effective date.
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin EquityOption complexType; see XML source
strategyFeature (defined in EquityDerivativeBase complexType) | A equity option simple strategy feature.
Type: | StrategyFeature
Content: | complex, 2 elements
Defined: | locally witnin EquityDerivativeBase complexType; see XML source
strike (defined in EquityDerivativeShortFormBase complexType) | Defines whether it is a price or level at which the option has been, or will be, struck.
Type: | EquityStrike
Content: | complex, 4 elements
Defined: | locally witnin EquityDerivativeShortFormBase complexType; see XML source
strike (in equityOption) | Defines whether it is a price or level at which the option has been, or will be, struck.
Type: | EquityStrike
Content: | complex, 4 elements
Defined: | locally witnin EquityOption complexType; see XML source
underlyer (defined in EquityDerivativeBase complexType) | Specifies the underlying component, which can be either one or many and consists in either equity, index or convertible bond component, or a combination of these.
Type: | Underlyer
Content: | complex, 2 elements
Defined: | locally witnin EquityDerivativeBase complexType; see XML source

Complex Type Summary
BrokerEquityOption | A type for defining the broker equity options.
Content: | complex, 1 attribute, 22 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
EquityAmericanExercise | A type for defining exercise procedures associated with an American style exercise of an equity option.
Content: | complex, 1 attribute, 9 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
EquityBermudaExercise | A type for defining exercise procedures associated with a Bermuda style exercise of an equity option.
Content: | complex, 1 attribute, 10 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
EquityDerivativeBase | A type for defining the common features of equity derivatives.
Content: | complex, 1 attribute, 15 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 2 locations
EquityDerivativeLongFormBase | type for defining the common features of equity derivatives.
Content: | complex, 1 attribute, 18 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations
EquityDerivativeShortFormBase | A type for defining short form equity option basic features.
Content: | complex, 1 attribute, 19 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations
EquityEuropeanExercise | A type for defining exercise procedures associated with a European style exercise of an equity option.
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
EquityExerciseValuationSettlement | A type for defining exercise procedures for equity options.
Content: | complex, 14 elements
Defined: | globally; see XML source
Includes: | definitions of 14 elements
Used: | at 2 locations
EquityForward | A type for defining equity forwards.
Content: | complex, 1 attribute, 19 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
EquityMultipleExercise | A type for defining the multiple exercise provisions of an American or Bermuda style equity option.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations
EquityOption | A type for defining equity options.
Content: | complex, 1 attribute, 23 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
EquityOptionTermination | A type for defining Equity Option Termination.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
EquityOptionTransactionSupplement | A type for defining equity option transaction supplements.
Content: | complex, 1 attribute, 28 elements
Defined: | globally; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location
PrePayment | A type for defining PrePayment.
Content: | complex, 1 attribute, 7 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Element Group Summary
EquityExpiration.model | Choice between expiration expressed as symbolic and optional literal time, or using a determination method.
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 3 locations

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2011 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="rpt" ecore:package="org.fpml.reporting" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/reporting" version="$Revision: 8563 $" xmlns="http://www.fpml.org/FpML-5/reporting" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:view="http://www.fpml.org/views" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-eq-shared-5-3.xsd"/> <xsd:complexType name="BrokerEquityOption"> <xsd:annotation> <xsd:documentation xml:lang="en">A type for defining the broker equity options.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="EquityDerivativeShortFormBase"> <xsd:sequence> <xsd:element minOccurs="0" name="deltaCrossed" type="xsd:boolean"/> <xsd:element minOccurs="0" name="brokerageFee" type="Money"/> <xsd:element minOccurs="0" name="brokerNotes" type="xsd:string"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="EquityAmericanExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining exercise procedures associated with an American style exercise of an equity option. This entity inherits from the type SharedAmericanExercise. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="SharedAmericanExercise"> <xsd:sequence> <xsd:element minOccurs="0" name="latestExerciseTimeType" type="TimeTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The latest time of day at which the equity option can be exercised, for example the official closing time of the exchange. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="EquityExpiration.model"/> <xsd:element minOccurs="0" name="equityMultipleExercise" type="EquityMultipleExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> The presence of this element indicates that the option may be exercised on different days. It is not applicable to European options. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="EquityBermudaExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining exercise procedures associated with a Bermuda style exercise of an equity option. The term Bermuda is adopted in FpML for consistency with the ISDA Definitions. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="SharedAmericanExercise"> <xsd:sequence> <xsd:element minOccurs="0" name="bermudaExerciseDates" type="DateList"> <xsd:annotation> <xsd:documentation xml:lang="en">List of Exercise Dates for a Bermuda option.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="latestExerciseTimeType" type="TimeTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The latest time of day at which the equity option can be exercised, for example the official closing time of the exchange. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="EquityExpiration.model"/> <xsd:element minOccurs="0" name="equityMultipleExercise" type="EquityMultipleExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> The presence of this element indicates that the option may be exercised on different days. It is not applicable to European options. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="EquityDerivativeBase"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining the common features of equity derivatives. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:group ref="BuyerSeller.model"/> <xsd:element minOccurs="0" name="optionType" type="EquityOptionTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">The type of option transaction.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="equityEffectiveDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en">Effective date for a forward starting option.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="underlyer" type="Underlyer"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the underlying component, which can be either one or many and consists in either equity, index or convertible bond component, or a combination of these. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="notional" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en">The notional amount.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="equityExercise" type="EquityExerciseValuationSettlement"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters for defining how the equity option can be exercised, how it is valued and how it is settled. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="Feature.model"/> <xsd:element minOccurs="0" name="strategyFeature" type="StrategyFeature"> <xsd:annotation> <xsd:documentation xml:lang="en">A equity option simple strategy feature.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="EquityDerivativeLongFormBase"> <xsd:annotation> <xsd:documentation xml:lang="en"> type for defining the common features of equity derivatives. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="EquityDerivativeBase"> <xsd:sequence> <xsd:element minOccurs="0" name="dividendConditions" type="DividendConditions"/> <xsd:element minOccurs="0" name="methodOfAdjustment" type="MethodOfAdjustmentEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines how adjustments will be made to the contract should one or more of the extraordinary events occur. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="extraordinaryEvents" type="ExtraordinaryEvents"> <xsd:annotation> <xsd:documentation xml:lang="en"> Where the underlying is shares, specifies events affecting the issuer of those shares that may require the terms of the transaction to be adjusted. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="EquityDerivativeShortFormBase"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining short form equity option basic features. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="EquityDerivativeBase"> <xsd:sequence> <xsd:element minOccurs="0" name="strike" type="EquityStrike"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines whether it is a price or level at which the option has been, or will be, struck. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="spotPrice" type="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The price per share, index or basket observed on the trade or effective date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="numberOfOptions" type="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of options comprised in the option transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="equityPremium" type="EquityPremium"> <xsd:annotation> <xsd:documentation xml:lang="en"> The equity option premium payable by the buyer to the seller. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="EquityEuropeanExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining exercise procedures associated with a European style exercise of an equity option. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <xsd:element minOccurs="0" name="expirationDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The last day within an exercise period for an American style option. For a European style option it is the only day within the exercise period. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="EquityExpiration.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="EquityExerciseValuationSettlement"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining exercise procedures for equity options. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters for defining how the equity option can be exercised, how it is valued and how it is settled. </xsd:documentation> </xsd:annotation> <xsd:element minOccurs="0" name="equityEuropeanExercise" type="EquityEuropeanExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters for defining the expiration date and time for a European style equity option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="equityAmericanExercise" type="EquityAmericanExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters for defining the exercise period for an American style equity option together with the rules governing the quantity of the underlying that can be exercised on any given exercise date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="equityBermudaExercise" type="EquityBermudaExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters for defining the exercise period for an Bermuda style equity option together with the rules governing the quantity of the underlying that can be exercised on any given exercise date. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="automaticExercise" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> If true then each option not previously exercised will be deemed to be exercised at the expiration time on the expiration date without service of notice unless the buyer notifies the seller that it no longer wishes this to occur. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="makeWholeProvisions" type="MakeWholeProvisions"> <xsd:annotation> <xsd:documentation xml:lang="en">Provisions covering early exercise of option.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:element minOccurs="0" name="prePayment" type="PrePayment"> <xsd:annotation> <xsd:documentation xml:lang="en">Prepayment features for Forward.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="equityValuation" type="EquityValuation"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters for defining when valuation of the underlying takes place. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="settlementDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Date on which settlement of option premiums will occur. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="settlementCurrency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The currency in which a cash settlement for non-deliverable forward and non-deliverable options. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="settlementPriceSource" type="SettlementPriceSource"/> <xsd:element minOccurs="0" name="settlementType" type="SettlementTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">How the option will be settled.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="settlementMethodElectionDate" type="AdjustableOrRelativeDate"/> <xsd:element minOccurs="0" name="settlementMethodElectingPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="settlementPriceDefaultElection" type="SettlementPriceDefaultElection"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="EquityForward"> <xsd:annotation> <xsd:documentation xml:lang="en">A type for defining equity forwards.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="EquityDerivativeLongFormBase"> <xsd:sequence> <xsd:element name="forwardPrice" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en">The forward price per share, index or basket.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="EquityMultipleExercise"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining the multiple exercise provisions of an American or Bermuda style equity option. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="integralMultipleExercise" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> When multiple exercise is applicable and this element is present it specifies that the number of options that can be exercised on a given exercise date must either be equal to the value of this element or be an integral multiple of it. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="minimumNumberOfOptions" type="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> When multiple exercise is applicable this element specifies the minimum number of options that can be exercised on a given exercise date. If this element is not present then the minimum number is deemed to be 1. Its value can be a fractional number as a result of corporate actions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="maximumNumberOfOptions" type="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> When multiple exercise is applicable this element specifies the maximum number of options that can be exercised on a given exercise date. If this element is not present then the maximum number is deemed to be the same as the number of options. Its value can be a fractional number as a result of corporate actions. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="EquityOption"> <xsd:annotation> <xsd:documentation xml:lang="en">A type for defining equity options.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="EquityDerivativeLongFormBase"> <xsd:sequence> <xsd:element minOccurs="0" name="strike" type="EquityStrike"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines whether it is a price or level at which the option has been, or will be, struck. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="spotPrice" type="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The price per share, index or basket observed on the trade or effective date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="numberOfOptions" type="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of options comprised in the option transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="optionEntitlement" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of shares per option comprised in the option transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="equityPremium" type="EquityPremium"> <xsd:annotation> <xsd:documentation xml:lang="en"> The equity option premium payable by the buyer to the seller. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="EquityOptionTermination"> <xsd:annotation> <xsd:documentation xml:lang="en">A type for defining Equity Option Termination.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="settlementAmountPaymentDate" type="AdjustableDate"/> <xsd:element minOccurs="0" name="settlementAmount" type="NonNegativeMoney"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="EquityOptionTransactionSupplement"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining equity option transaction supplements. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="EquityDerivativeShortFormBase"> <xsd:sequence> <xsd:element minOccurs="0" name="exchangeLookAlike" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> For a share option transaction, a flag used to indicate whether the transaction is to be treated as an 'exchange look-alike'. This designation has significance for how share adjustments (arising from corporate actions) will be determined for the transaction. For an 'exchange look-alike' transaction the relevant share adjustments will follow that for a corresponding designated contract listed on the related exchange (referred to as Options Exchange Adjustment (ISDA defined term), otherwise the share adjustments will be determined by the calculation agent (referred to as Calculation Agent Adjustment (ISDA defined term)). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="exchangeTradedContractNearest" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> For an index option transaction, a flag used in conjuction with Futures Price Valuation (ISDA defined term) to indicate whether the Nearest Index Contract provision is applicable. The Nearest Index Contract provision is a rule for determining the Exchange-traded Contract (ISDA defined term) without having to explicitly state the actual contract, delivery month and exchange on which it is traded. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="IndexAnnexFallback.model"/> <xsd:element minOccurs="0" name="methodOfAdjustment" type="MethodOfAdjustmentEnum"/> <xsd:element minOccurs="0" name="localJurisdiction" type="CountryCode"> <xsd:annotation> <xsd:documentation xml:lang="en"> Local Jurisdiction is a term used in the AEJ Master Confirmation, which is used to determine local taxes, which shall mean taxes, duties, and similar charges imposed by the taxing authority of the Local Jurisdiction If this element is not present Local Jurisdiction is Not Applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice> <xsd:element minOccurs="0" name="optionEntitlement" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of shares per option comprised in the option transaction supplement. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="multiplier" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the contract multiplier that can be associated with an index option. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="extraordinaryEvents" type="ExtraordinaryEvents"> <xsd:annotation> <xsd:documentation xml:lang="en"> A component to contain elements that represent an extraordinary event. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PrePayment"> <xsd:annotation> <xsd:documentation xml:lang="en">A type for defining PrePayment.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <xsd:group ref="PayerReceiver.model"/> <xsd:element minOccurs="0" name="prePayment" type="xsd:boolean"/> <xsd:element minOccurs="0" name="prePaymentAmount" type="NonNegativeMoney"/> <xsd:element minOccurs="0" name="prePaymentDate" type="AdjustableDate"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:element name="brokerEquityOption" substitutionGroup="product" type="BrokerEquityOption"> <xsd:annotation> <xsd:documentation xml:lang="en"> A component describing a Broker View of an Equity Option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="equityForward" substitutionGroup="product" type="EquityForward"> <xsd:annotation> <xsd:documentation xml:lang="en">A component describing an Equity Forward product.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="equityOption" substitutionGroup="product" type="EquityOption"> <xsd:annotation> <xsd:documentation xml:lang="en">A component describing an Equity Option product.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="equityOptionTransactionSupplement" substitutionGroup="product" type="EquityOptionTransactionSupplement"> <xsd:annotation> <xsd:documentation xml:lang="en"> A component describing an Equity Option Transaction Supplement. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group name="EquityExpiration.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Choice between expiration expressed as symbolic and optional literal time, or using a determination method. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="equityExpirationTimeType" type="TimeTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The time of day at which the equity option expires, for example the official closing time of the exchange. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="equityExpirationTime" type="BusinessCenterTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specific time of day at which the equity option expires. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:element minOccurs="0" name="expirationTimeDetermination" type="DeterminationMethod"> <xsd:annotation> <xsd:documentation xml:lang="en">Expiration time determination method.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.